Bug Hunting Session
Bug 95335 - Page Size setting ignored on OSX 10.9.5
Summary: Page Size setting ignored on OSX 10.9.5
Status: RESOLVED INVALID
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.2.2 release
Hardware: Other Mac OS X (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-10-26 19:20 UTC by jdarago
Modified: 2016-10-12 08:17 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description jdarago 2015-10-26 19:20:04 UTC
Using Writer 5.0.2.2 on MacOS 10.9.5.  There is no option to set the page size.  Writer defaults to Custom which produces incorrect results. I tried setting "use only paper size from printer preferences" checkbox and it does not produce any different results.  There is no Page Setup menu in the File menu.  There is no Page Size option in the Print Menu.
Comment 1 MM 2015-10-26 22:11:12 UTC
Have you tried: Format > Page ???
Comment 2 jdarago 2015-10-26 22:16:56 UTC
(In reply to MM from comment #1)
> Have you tried: Format > Page ???

When I went Format > Page, the page was already set to the correct size.  It still prints incorrectly.
Comment 3 MM 2015-10-27 19:20:19 UTC
Well you said something about not having a page setup menu. That the outcome is different is another issue here.
Comment 4 Alex Thurgood 2015-11-02 09:56:21 UTC
@jdarago : pleae indicate whether you are using the en-US locale version of LibreOffice and whether or not you have any language packs installed.

Note that OSX 10.9.5 is known to exhibit a few bugs particular to that version of OSX and it is unlikely that these will ever be fixed (unless by accident).

There is at least one known issue of incorrect page format setting with particular combinations of printers and OSX version.
Comment 5 jdarago 2015-11-02 19:04:09 UTC
(In reply to Alex Thurgood from comment #4)
> @jdarago : pleae indicate whether you are using the en-US locale version of
> LibreOffice and whether or not you have any language packs installed.
> 
> Note that OSX 10.9.5 is known to exhibit a few bugs particular to that
> version of OSX and it is unlikely that these will ever be fixed (unless by
> accident).
> 
> There is at least one known issue of incorrect page format setting with
> particular combinations of printers and OSX version.


I have no language packs installed.  I am using:
Version: 5.0.2.2
Build ID: 37b43f919e4de5eeaca9b9755ed688758a8251fe
Locale: en-US (en.UTF-8)
Comment 6 tommy27 2016-03-12 01:05:33 UTC
please retest with 5.0.5.2 or 5.1.1.3 and tell if anything changed
Comment 7 jdarago 2016-03-12 02:34:59 UTC
(In reply to tommy27 from comment #6)
> please retest with 5.0.5.2 or 5.1.1.3 and tell if anything changed

I checked with 5.0.5.2 on MacOS 10.9.5.  Nothing has changed.  There is no page setup menu like there is with other programs.  

Is 5.1.1.3 available for MaxOS 10.9.5?  It wouldn't download to update my version.
Comment 8 Xisco Faulí 2016-10-10 11:24:40 UTC Comment hidden (obsolete)
Comment 9 jdarago 2016-10-10 18:13:23 UTC Comment hidden (obsolete)
Comment 10 Alex Thurgood 2016-10-12 08:17:07 UTC
jdarago :

In LibreOffice, menu Format > Page brings up a dialog where you can set the page size (under the Page tab).


You can also acess the same dialog by clicking with the left mouse button on the Page Style section in the bottom part of the application window.


When I first read your report, I thought you were talking about the Print dialog, but re-reading it, I'm not so sure.

There is an option to set page size from within the application. To that extent, this is not a valid bug report, and I will close it as invalid. However, if you have more precise details on where you can not set the page size, please re-set this back to UNCONFIRMED and I will investigate.